<?php

require(dirname(__FILE__)."/../../../dbconnect.php");
require(ROOTDIR."/includes/functions.php");
require(ROOTDIR."/includes/registrarfunctions.php");
require(dirname(__FILE__)."/uk2.php");

$cronreport = "uk2 Domain Sync Report<br>\n---------------------------------------------------<br>\n";

$params = getRegistrarConfigOptions("uk2");
$SERVICE_USERNAME = $params["Username"];
$SERVICE_PASSWORD = $params["Password"];
$SERVICE_PARENTID = $params["ParentID"];

$queryresult = select_query("tbldomains","domain","registrar='uk2' AND (status='Active' OR status='Pending Transfer')");
while ($data = mysql_fetch_array($queryresult)) {
    $domainname = $data["domain"];
    $result = uk2_getorderid($domainname);
    if ($result["error"]) {
        $cronreport .= "Error for $domainname: ".$result["error"]."<br>\n";
    } else {
        $orderid = $result["orderid"];
    	$wsdlFileName = ROOTDIR."/modules/registrars/directi/lib/wsdl/DomOrder.wsdl";
    	$callfunction = "getDetails";
    	$option = getVectorFromString(array("All"));
    	$parameters = array($SERVICE_USERNAME, $SERVICE_PASSWORD, $SERVICE_ROLE, $SERVICE_LANGPREF, $SERVICE_PARENTID, $orderid, $option);
    	$directiresponse = uk2_docall($wsdlFileName, $callfunction, $parameters);
        if ($directiresponse["error"]) {
    		$cronreport .= "Error for $domainname: ".$directiresponse["error"]."<br>\n";
    	} else {
    	    $expirytime = $directiresponse["result"]["endtime"];
            if ($expirytime) {
                $currentstatus = $directiresponse["result"]["currentstatus"];
                if ($currentstatus=="Active") {
                    update_query("tbldomains",array("status"=>"Active"),array("domain"=>$domainname));
                }
                if ($expirytime) {
                    $expirydate = date("Y-m-d",$expirytime);
                    update_query("tbldomains",array("expirydate"=>$expirydate),array("domain"=>$domainname));
                    if ($params["SyncNextDueDate"]) {
                        update_query("tbldomains",array("nextduedate"=>$expirydate),array("domain"=>$domainname));
                    }
                }
        		$cronreport .= "Updated $domainname expiry to ".fromMySQLDate($expirydate)."<br>\n";
            }
        }
    }
}

logActivity("uk2 Domain Sync Run");
sendAdminNotification("system","WHMCS uk2 Domain Syncronisation Report",$cronreport);

?>